.section--inquire {
  padding-top: get-vw(270px);
  margin-bottom: get-vw(120px);
  background: transparent;

  @include between(1280px, $desktop-mac) {
    margin-bottom: get-vw(150px, 1440);
  }
  @include between($desktop-sm, 1280px) {
    margin-bottom: get-vw(150px, 1280);
  }
  @include bellow($desktop-sm) {
    margin-bottom: get-vw(150px, 1024);
  }
  @include bellow($android-landscape) {
    padding-top: get-vw(80px, 375);
    margin-bottom: get-vw(-100px, 375);
  }

  &::before {
    content: "";
    position: absolute;
    right: 0;
    top: 0;
    left: 0;
    display: block;
    margin: 0 auto 0;
    z-index: 1;
    width: 100%;
    height: 50%;
    background: $white;
  }

  .section__title {
    margin-bottom: 0;
    color: $titleColor;
  }

  .section__inner {
    z-index: 2;
    padding: 0 get-vw(30px);
    display: flex;
    justify-content: space-between;
    align-items: flex-end;

  }

  & ~ footer {
    background: $grayBG;
  }
}

.inquire {

  &__wrap {
    position: relative;
    z-index: 2;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    box-sizing: border-box;
    width: 100%;
    padding: get-vw(130px) get-vw(180px);
    transform: translate3d(0, get-vw(-150px), 0);

    @include bellow($android-landscape) {
      flex-direction: column;
      padding: get-vw(20px, 375) get-vw(10px, 375);
    }

    &[data-anim="false"] {
      .inquire__wrap__bg::before {
        transform: scale(1.4);
      }
      .inquire__wrap__title,
      .inquire__wrap__link {
        opacity: 0;
        transform: translateY(#{get-vw(35px)});
      }
    }

    &__bg {
      @include absFull;
      overflow: hidden;
      z-index: 1;
    }
    &::before,
    &__bg::before {
      content: "";
      position: absolute;
      right: 0;
      left: 0;
      display: block;
      margin: auto;
    }
    &::before {
      bottom: 2px;
      z-index: 0;
      width: 80%;
      height: 10px;
      box-shadow: $blockShadow;
    }
    &__bg::before {
      top: 0;
      height: 100%;
      background: url("./../images/inquire-bg.jpg") 50% 50% no-repeat;
      background-size: cover;
      transition: transform 2.4s ease-in-out;
    }

    &__title {
      position: relative;
      z-index: 2;
      display: block;
      width: get-vw(460px);
      font-weight: 400;
      font-size: get-vw(72px);
      line-height: 1.3;
      letter-spacing: 0.03em;
      color: $titleColor;
      transition: opacity 0.65s ease 0.1s, transform 0.8s $cubic 0.1s;

      @include bellow($android-landscape) {
        width: 100%;
        font-size: get-vw(18px, 375);
        text-align: center;
      }
    }

    &__link {
      position: relative;
      z-index: 2;
      margin-left: get-vw(280px);
      font: #{get-vw(44px)} / 1.5 $titleFont;
      letter-spacing: 0.03em;
      color: $textColor;
      transition: opacity 0.65s ease 0.25s, transform 0.8s $cubic 0.25s;
      transition-delay: 0.4s;

      @include bellow($android-landscape) {
        margin: get-vw(15px, 375) 0 0;
        font-size: get-vw(12px, 375);
      }

      &::after {
        content: "";
        position: absolute;
        right: 0;
        bottom: 0;
        left: 0;
        display: block;
        height: 2px;
        margin: auto;
        background: $textColor;
        transition: transform 0.8s $cubic;
        transform: scaleX(0);
        transform-origin: 0 50%;
      }

      &:hover::after {
        transform: scaleX(1);
      }
    }
  }
}
